package api

import (
	"sku3dweb/bus"

	"github.com/gin-gonic/gin"
	"infish.cn/comm"
)

// 会员
func Queentree(r *GinRouter) {
	// 查看会员
	r.POSTJWT("/tree/publicAsset", func(c *gin.Context, apictx *ApiSession) (interface{}, error) {
		body := &comm.PublicAssetReq{}
		err := c.ShouldBindJSON(body)
		if err != nil {
			return nil, NewError("参数错误")
		}
		return bus.PublicAsset(body)
	})

}
